package tech.mercantec.easyeat.ui.dishes

import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ArrayAdapter
import android.widget.TextView
import tech.mercantec.easyeat.R
import tech.mercantec.easyeat.models.Direction

class InstructionsAdapter (context: Context, instructions: List<Direction>)
    : ArrayAdapter<Direction>(context, 0, instructions) {

    override fun getView(position: Int, convertView: View?, parent: ViewGroup): View {
        val ingredient = getItem(position)
        val view = convertView ?: LayoutInflater.from(context)
            .inflate(R.layout.activity_dish_details_instructions_list_item, parent, false)

        val nameView = view.findViewById<TextView>(R.id.instructionText)

        nameView.text = ingredient?.instruktions ?: ""

        return view
    }
}